Company of Heroes: Opposing Fronts - Blitzkrieg v4.0 Map Pack

Rate

Total votes: 24
100

REQUIRES: Blitzkrieg v4.0 installed! This Installer contains all BK recommended maps. This installer is an add-on for the v4.0 main installer! Those maps will only work with BK and won't be useable in vanilla CoH because they are placed in a subfolder for usage with BK!

Add new comment

CAPTCHA
This question is for testing whether you are a human visitor and to prevent automated spam submissions.

Add new comment